<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <h1>Calculadora</h1>


    <form>
        <label for="numero1">Numero 1</label>
        <input type="number" id="numero1" value="">
        <br>
        <label for="numero2">Numero 2</label>
        <input type="number" id="numero2" value="">
        <br>
    
        <button type="button" id="btn-sumar">Sumar</button>
        <button type="button" id="btn-rest">Restar</button>
        <button type="button" id="btn-div">Dividir</button>
        <button type="button" id="btn-mult">Multiplicar</button>
        <button type="button" id="btn-cuad">Cuadrados</button>
    </form>

    <script>
        document.getElementById("btn-sumar").addEventListener("click", function() {
            
            let num1 = document.getElementById("numero1").value;
            let num2 = document.getElementById("numero2").value;

            console.log("Resultado suma: ", parseInt(num1) + parseInt(num2) );

        })
        document.getElementById("btn-rest").addEventListener("click", function() {
            
            let num1 = document.getElementById("numero1").value;
            let num2 = document.getElementById("numero2").value;

            console.log("Resultado resta: ", parseInt(num1) - parseInt(num2) );

        })
        document.getElementById("btn-div").addEventListener("click", function() {
            
            let num1 = document.getElementById("numero1").value;
            let num2 = document.getElementById("numero2").value;

            console.log("Resultado division: ", parseInt(num1) / parseInt(num2) );

        })
        document.getElementById("btn-mult").addEventListener("click", function() {
            
            let num1 = document.getElementById("numero1").value;
            let num2 = document.getElementById("numero2").value;

            console.log("Resultado multiplicacion: ", parseInt(num1) * parseInt(num2) );

        })
        document.getElementById("btn-cuad").addEventListener("click", function() {
            
            let num1 = document.getElementById("numero1").value;
            let num2 = document.getElementById("numero2").value;

            console.log("Resultado cuadrados: ", (parseInt(num1) ** 2) + (parseInt(num2) ** 2) );

        })
    </script>

</body>
</html>